Main Page Class Hierarchy Compound List File List Compound Members

# KEY_driver_out Class Reference

Output driver for KEY files. More...

`#include <keydrout.h>`

Inheritance diagram for KEY_driver_out:

List of all members.

## Public Methods
| KEY_driver_out (const wxString &_filename, bool only_visible=false)
| constructor
| ~KEY_driver_out ()
| destructor
void | Write (ArrayReference *)
| overloaded function from class Driver
void | Write (Boundary *)
void | Write (Box *_Box)
void | Write (Circle *_Circle)
void | Write (Path *)
void | Write (Arcseg *)
void | Write (StructureReference *)
void | Write (Text *)
void | Write (Image *_image)
void | Write (SLine *line)
## Protected Methods
void | Write (wxPropertySheet *propsheet)
| write property data of primitives
void | WriteHeader ()
| write basic header for objects (ASCII keywords)
## Protected Attributes
wxString | KEY_out_filename
| output file name
ofstream | KEY_out_file
| output file handle
int | points_written
| number of points on one line
int | _mapping_out [1000]
| mapping to internal layers KEY layers

## Detailed Description

Output driver for KEY files.

The KEY format is an ASCII file structured simular to GDSII, only it supports more primitives and also properties to the primitives Every object in the internal database is written in records in the KEY file Info on the different record types that are written can be found in the KEY format manual overloaded function from class Driver_out write the internal objects in KEY specific form

## Constructor & Destructor Documentation

KEY_driver_out::KEY_driver_out | ( | const wxString & | _filename,
|  | bool | only_visible = false
| ) |

  | constructor Parameters:
  filename: | name of KEY output file
  only_visible: | write only visible layers

The documentation for this class was generated from the following file:

- keydrout.h

KEY_driver_out class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page